Subject: Re: [Srcomp] Draft Minutes Jan 27 2021

From: "Henderickx, Wim (Nokia - BE/Antwerp)" <[email-masked]>
Date: Sat, 30 Jan 2021 06:39:55 +0000

I have been thinking a bit on this and here is my current thought.

Why would we limit solutions that use other things like ipv6 and extension headers?
I do agree with the fact we should not loose information along the path, like DSCP, ECN, etc
But what is the motivation to be strict ? I don’t believe we can make this call, hence I would make this less strict and focus on the loss of information along the path here.
The solution should be compliant to ipv6 symantics.

From: Srcomp <[email-masked]> on behalf of Ron Bonica <rbonica=[email-masked]>
Date: Friday, 29 January 2021 at 18:24
To: "[email-masked]" <[email-masked]>, Darren Dukes <[email-masked]>, "[email-masked]" <[email-masked]>
Subject: Re: [Srcomp] Draft Minutes Jan 27 2021

Hi Chongfeng,

Like every other requirement in the document, this requirement imposes constraints upon the compression mechanism. Namely,

  *   The compression mechanism MUST be encoded in the IPv6 forwarding plane (i.e., an IPv6 header or an extension header)
  *   The IPv6 header or extension header in which it is encoded MUST be imposed at the SR ingress node and maintained until the SR egress or penultimate hop.

                                                                                         Ron

Juniper Business Use Only
From: [email-masked] <[email-masked]>
Sent: Friday, January 29, 2021 7:59 AM
To: Ron Bonica <[email-masked]>; Darren Dukes (ddukes) <[email-masked]>; srcomp <[email-masked]>
Subject: Re: Re: [Srcomp] Draft Minutes Jan 27 2021

[External Email. Be cautious of content]

Hi, folks,
I remembered the DT mainly deal with how to reduce the length of the SID list in uncompressed approach, but the requirement item being discussed seems unrelated to this, is my understanding wrong?  :-)

Best regards
Chongfeng

From: Ron Bonica<mailto:rbonica=[email-masked]>
Date: 2021-01-28 03:18
To: Darren Dukes (ddukes)<mailto:ddukes=[email-masked]>; [email-masked]<mailto:[email-masked]>
Subject: Re: [Srcomp] Draft Minutes Jan 27 2021
Folks,

May I propose the following update to reflect todays discussion:

Description: The compression mechanism must be IPv6-based. This means that:

1.       The SR ingress node encapsulates its payload (e.g.., Ethernet, IP, TCP) in an IPv6 header. The IPv6 header persists until it is removed by either by the SR egress node or the penultimate node.

2.       The compression mechanism is either:

a.       Encoded in the IPv6 header

b.       Encoded in an IPv6 extension header that follows the IPv6 header.

c.       Encode in both.

Rational: The SR ingress node determines  routing and non-routing information regarding the SR path. Non-routing information includes:
-  DSCP bits
- ECN bits
- Flow label
- Fragmentation information
- Authentication information
- Destination Options
- Hop Count

Non-routing information must not be lost. Premature removal of the IPv6 header may cause loss of non-routing information.

According to RFC 8402, SRv6 is an instantiation of the SR Architecture over the IPv6 data plane. The only elements of the IPv6 data plane are the IPv6 header and IPv6 extension headers. Therefore, an SRv6 compression mechanism must be encoded in either the IPv6 header or an IPv6 extension header.

Metric: A compliant proposal satisfies the following conditions:

1.       The SR ingress node encapsulates its payload (e.g.., Ethernet, IP, TCP) in an IPv6 header. The IPv6 header persists until it is removed by either by the SR egress node or a penultimate node.

2.       The compression mechanism is either:

d.       Encoded in the IPv6 header

e.       Encoded in an IPv6 extension header that follows the IPv6 header.

f.        Encode in both.

Juniper Business Use Only
From: Srcomp <[email-masked]<mailto:[email-masked]>> On Behalf Of Darren Dukes (ddukes)
Sent: Wednesday, January 27, 2021 11:53 AM
To: [email-masked]<mailto:[email-masked]>
Subject: [Srcomp] Draft Minutes Jan 27 2021

[External Email. Be cautious of content]

Attendees: Weiqiang, PSF, Cheng Li, Wim, Darren, Ron, Chongfeng

Minutes

  *   Analysis document will have authors listed in alphabetical order by last name.
  *   ACTION for team:

     *   Review backlog document
     *   Verify there are no missing requirements in the backlog
     *   Send all such requirements to the list by Friday
     *   Darren to add any to the backlog doc in git.

  *   PS or BCP requirement to be added to draft.
  *   IPv6 Based needs to be added to the draft.

     *   The text below has been discussed in the call
     *   ACTION: Team to discuss on the list (See two options below as discussed)

  *   ACTION: Weiqiang to send proposals to SPRING WG and request additional proposals.

     *   draft-filsfilscheng-spring-srv6-srh-comp-sl-enc
     *   draft-decraene-spring-srv6-vlsid
     *   draft-bonica-6man-comp-rtg-hdr
     *   draft-mirsky-6man-unified-id-sr

Short Name: IPv6 Based (Original + edited in call)
Description: The compression mechanism must be IPv6-based. The SR ingress node encapsulates its payload (e.g.., Ethernet, IP, TCP) in an IPv6 header.

The compression mechanism is either:
- Encoded in the IPv6 header
- Encoded in an IPv6 extension header that follows the IPv6 header.
- Encode in both.
The IPv6 header persists until it is removed by either by the SR egress node or a penultimate node.  Once the IPv6 header is completely processed and removed, it cannot be re-added.

Rational: The SR ingress node calculates routing and non-routing information regarding the SR path. Non-routing information includes:
-              DSCP bits
-              ECN bits
-              Flow label
-              Fragmentation information
-              Authentication information
-              Destination Options
-              Hop Count
The SR ingress node encodes routing and non-routing information in the IPv6 header and its extensions. If the IPv6 header were removed along the SR path, non-routing information would be lost.
Also, transit nodes may update the ECN bits in the IPv6 header. If the IPv6 header were removed, the ECN bits would be lost.

Metric: Non-routing information (e.g., DSCP, ECN, Destination Options) must be delivered from the source node to the destination node. It must not be delivered to an upper-layer protocol for the purposes of including it in a new IPv6 header.

Short Name: IPv6 Based (Darren’s draft proposal)
Description: The compression mechanism must be IPv6-based (within an IPv6 header or extension header). The SR ingress node encapsulates its payload (e.g.., Ethernet, IP, TCP) in an IPv6 header. The compression mechanism MUST not lose non-routing information in the IPv6 header within the SR domain.

Rationale: The IPv6 header carries information within the SR domain, including; DSCP bits, ECN bits, Flow label, Fragmentation and Authentication information, Destination Options, Hop Count.  Losing this information can result in failures.

Metric: A proposal that can preserve non-routing information in the IPv6 header within the SR Domain satisfies this requirement.